Support » Plugin: E-Transactions WooCommerce Payment Gateway » Mcrypt deprecation notices with PHP Version 7.1.32

  • Hello / bonjour,

    Using E-Transactions module (version 0.9.8.8) with PHP version 7.1.32, I get PHP notices for deprecated functions :

    Deprecated: Function mcrypt_module_open() is deprecated in /home/letablis/dev/wp-content/plugins/e-transactions-wc/class/wc-etransactions-encrypt.php on line 130

    Deprecated: Function mcrypt_generic_init() is deprecated in /home/letablis/dev/wp-content/plugins/e-transactions-wc/class/wc-etransactions-encrypt.php on line 131

    Deprecated: Function mdecrypt_generic() is deprecated in /home/letablis/dev/wp-content/plugins/e-transactions-wc/class/wc-etransactions-encrypt.php on line 133

Viewing 2 replies - 1 through 2 (of 2 total)
  • Hello,
    These messages come from the backward compatibility of the module:
    If you have a server using PHP 5.3 to 5.4, Mcrypt is used.
    If you have a Php 7 and higher, OpenSSL is used.

    Thread Starter antoinecp

    (@antoinecp)

    Hello,

    Thanks for the answer.

    Not sure that if function openssl_decrypt exists (having Php 7 or higher), it’s worth using/calling mcrypt on lines 129-134. The PHP notices appear after activating the plugin, but disappear after the settings are saved (call to openssl_decrypt then give a result).

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Mcrypt deprecation notices with PHP Version 7.1.32’ is closed to new replies.